//
//  HDInteger.h
//  MyObjectFramework
//
//  Created by 한 도영 on 12. 11. 2..
//  Copyright (c) 2012년 한 도영. All rights reserved.
//

#ifndef __MyObjectFramework__HDInteger__
#define __MyObjectFramework__HDInteger__

#include "HDNumber.h"

class HDInteger inherited (HDNumber)
{
private:
    int value;
    
public:
    HDInteger();
    HDInteger(int value);
    
    // HDObject
    string description() const;
    
    // HDNumber
    int integerValue() const;
    double floatValue() const;
    
    // HDInteger
    void setValue(int value);
};

#endif /* defined(__MyObjectFramework__HDInteger__) */
