//
//  main.cpp
//  MyObjectFramework
//
//  Created by 한 도영 on 12. 11. 2..
//  Copyright (c) 2012년 한 도영. All rights reserved.
//

#include <iostream>
using std::cout;
using std::cin;
using std::endl;

#include "HDFramework.h"

int main(int argc, const char * argv[])
{
    int i;
    const int MAX_LEN = 5;
    
    HDString string1 = "string 1";
    HDInteger integer1 = 1;
    HDString string2 = "string 2";
    HDInteger integer2 = 2;
    HDString string3 = "string 3";
    
    HDArray array;
    array.addObject(&string1);
    array.addObject(&integer1);
    array.addObject(&string2);
    array.addObject(&integer2);
    array.addObject(&string3);
    
    try
    {
        cout<<"Objects in HDArray: "<<endl;
        for (i=0; i<MAX_LEN; ++i)
            cout<<array.objectAtIndex(i)<<endl;
    }
    catch (HDException exception)
    {
        cout<<exception<<endl;
    }
    
    /*
    cout<<"Objects in C array"<<endl;
    test = new Test*[MAX_LEN];
    for (i=0; i<MAX_LEN; ++i)
        test[i] = new Test(i);
    
    HDArray *array = new HDArray;
    for (i=0; i<MAX_LEN; ++i)
        array->addObject(test[i]);
    
    for (i=0; i<MAX_LEN; ++i)
        cout<<*(test[i])<<endl;
    
    try
    {
        cout<<"Objects in HDArray: "<<endl;
        for (i=0; i<MAX_LEN; ++i)
            cout<<array->objectAtIndex(i)<<endl;
    }
    catch (HDException exception)
    {
        cout<<exception<<endl;
    }*/

    return 0;
}

