//
//  HDArray.h
//  MyObjectFramework
//
//  Created by 한 도영 on 12. 11. 3..
//  Copyright (c) 2012년 한 도영. All rights reserved.
//

#ifndef __MyObjectFramework__HDArray__
#define __MyObjectFramework__HDArray__

#include "HDObject.h"

class HDArray inherited (HDObject)
{
private:
    int len;
    HDObject **arr;
    
public:
    HDArray(int len=0);
    ~HDArray();
    
    virtual void addObject(HDObject *object);
    virtual void removeObjectAtIndex(int index);
    virtual HDObject& objectAtIndex(int index);
    
    bool isIndexInRange(int index) const;
};

#endif /* defined(__MyObjectFramework__HDArray__) */
